﻿@model IEnumerable<ProductDto>

<br/><br/>
<div class="container p-4 border">
    <div class="row pb-2">
        <div class="col">
            <h1 class="text-primary">Product List</h1>
        </div>
        <div class="col text-end pt-1">
            <a asp-action="ProductCreate" class="btn btn-outline-primary"><i class="fas fa-plus"></i> Create New Product </a>
        </div>
    </div>
    
    <table class="table">
        <thead>
        <tr>
            <th>
                Name
            </th>
            <th>
                Category Name
            </th>
            <th>
                Price
            </th>
            <th>
            </th>
        </tr>
        </thead>
        <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <th>@item.Name</th>
                <th>@item.CategoryName</th>
                <th>@item.Price.ToString("c")</th>
                <th>
                    <a asp-action="ProductEdit" class="btn btn-success" asp-route-productId="@item.ProductId">
                        <i class="fas fa-edit"></i>
                    </a>
                     <a asp-action="ProductDelete" class="btn btn-danger" asp-route-productId="@item.ProductId">
                        <i class="fas fa-trash"></i>
                    </a>
                </th>
            </tr>
        }
        </tbody>
    </table>
</div>